package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.BackgroundServiceStatusView;


import static de.ivu.elect.business.security.UseCasePermission.HINTERGRUNDDIENSTE_STATUSUEBERSICHT_ANZEIGEN;

/**
 *  on 31.10.2016.
 */
public class BackgroundServiceMenuItemEntry  extends AbstractMenuItemEntry {
  @Override
  protected boolean isDisabledInternal() {
    return false;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public String getTargetViewId() {
    return BackgroundServiceStatusView.VIEW_ID;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(HINTERGRUNDDIENSTE_STATUSUEBERSICHT_ANZEIGEN);
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }

  @Override
  public String getLabelKey() {
    return "background.service.menu.item";
  }
}
